Subject: ARM SoC tree: OMAP PM dependency on tip irq/core

From: [email-masked] (Arnd Bergmann)
Date: Fri, 7 Oct 2011 20:53:41 +0200

On Friday 07 October 2011, Kevin Hilman wrote:
> > I've pulled in rmk/devel-stable as a dependency now, thanks for
> > reminding me of that.
> >
> > Thomas, where should I get the irq-core branch (or whichever
> > I should wait for) to pull in as another dependency. Is that
> > branch one that never gets rebased? 
> 
> git://tesla.tglx.de/git/linux-2.6-tip irq/core
> 
> I asked Thomas about this earlier when I was going to build up the
> dependencies myself, and he said it won't be rebased.

Ok, thanks for the info.

I think I've now also come up with a workflow for tracking the dependencies:
I have a depends/xxx branch for each other branch that I need to wait for
getting merged first. When I want to send a pull request, I first check
all the depends/* branches using 'git branch --merged next/xxx |
grep depends' to see what the dependencies are, and 'git branch --merged
torvalds/master | grep depends' to see if they are already merged upstream.
When a dependency is already merged, I can remove its tracking branch
from the arm-soc tree.

	Arnd